Interface ProtectedEndpointOrBuilder (3.96.0)

public interface ProtectedEndpointOrBuilder extends MessageOrBuilder

Implements

MessageOrBuilder

Methods

getAction()

public abstract String getAction()

Required. Action name to be used for token generation for this endpoint. The action name can only contain alphanumeric characters, slashes, and underscores.

string action = 2 [(.google.api.field_behavior) = REQUIRED];

Returns
Type Description
String

The action.

getActionBytes()

public abstract ByteString getActionBytes()

Required. Action name to be used for token generation for this endpoint. The action name can only contain alphanumeric characters, slashes, and underscores.

string action = 2 [(.google.api.field_behavior) = REQUIRED];

Returns
Type Description
ByteString

The bytes for action.

getPath()

public abstract String getPath()

Required. URI path of the API endpoint to protect. Must start with '/'. Supports glob characters '' to match a single path segment and '' to match multiple path segments. Standalone root catch-alls ('/*' and '/*') are invalid because it can negatively impact performance to trigger reCAPTCHA on every single request to your backend.

Matching is evaluated against the URL path only (domain, scheme, and query parameters are ignored).

Examples:

  • /login matches /login, https://example.com/login, and /login?query=1, but not /login/step1.
  • /products/* matches /products/123, but not /products/123/456.
  • /content/** matches /content/articles/2024/01/01.

string path = 1 [(.google.api.field_behavior) = REQUIRED];

Returns
Type Description
String

The path.

getPathBytes()

public abstract ByteString getPathBytes()

Required. URI path of the API endpoint to protect. Must start with '/'. Supports glob characters '' to match a single path segment and '' to match multiple path segments. Standalone root catch-alls ('/*' and '/*') are invalid because it can negatively impact performance to trigger reCAPTCHA on every single request to your backend.

Matching is evaluated against the URL path only (domain, scheme, and query parameters are ignored).

Examples:

  • /login matches /login, https://example.com/login, and /login?query=1, but not /login/step1.
  • /products/* matches /products/123, but not /products/123/456.
  • /content/** matches /content/articles/2024/01/01.

string path = 1 [(.google.api.field_behavior) = REQUIRED];

Returns
Type Description
ByteString

The bytes for path.